/* =========================================
   MEDIA QUERIES - NAV RESPONSIVA
   ========================================= */
   @media screen and (max-width: 460px){
        #rj>.img-s2 {
        background-image: url('img/Rio\ base\ 440\ x\ 260.png');
        background-size: cover;
    }

    
    #piracicaba>.img-s2 {
        background-image: url('img/Piracicaba\ base\ \ 440\ x\ 260.png');
        background-size: cover;
    }


    #jundiai>.img-s2 {
        background-image: url('img/Jundiai\ apoio\ \ 440\ x\ 260.png');
        background-position: center center;
        background-size: cover;
    }

    #osasco>.img-s2 {
        background-image: url('img/Osasco\ apoio\ \ 440\ x\ 260.png');
        background-position: top center;
        background-size: cover;
    }

    #curitiba>.img-s2 {
        background-image: url('img/Curitiba\ apoio\ \ 440\ x\ 260.png');
        background-position: center right;
        background-size: cover;
    }

    #jabotao>.img-s2 {
        background-image: url('img/Jabotao\ apoio\ \ 440\ x\ 260.png');
        background-size: cover;
    }
   }

/* --- TABLET (768px) --- */
@media screen and (min-width: 767px) {
    #mobile-wrapper {
        left: 5%;
        width: 90%;
    }

    .titulo-sec>h1 {
        text-align: left;
        margin-left: 10%;
    }

    .bloco-s2,
    .bloco-s3 {
        width: 90%;
        max-width: 730px;
    }

    .img-s2,
    .img-s3 {
        height: 60%;
    }

    .content-s2,
    .content-s3 {
        height: 40%;
    }

    .regiao-s2>h2 {
        font-size: 1.7rem;
    }

    .regiao-s3>h2 {
        font-size: 1.7rem;
    }

    .text-s2,
    .text-s3>p {
        font-size: 1rem;
    }

    #piracicaba>.img-s2 {
        background-image: url('img/piracicaba\ base\ 730\ x\ 315.png');

    }

    #rj>.img-s2 {
        background-image: url('img/rio\ base\ 730\ x\ 315.png');
        background-position: top left;
    }

    #jundiai>.img-s2 {
        background-image: url('img/Jundiai\ apoio\ 730\ x\ 315.png');
    }

    #osasco>.img-s2 {
        background-image: url('img/osasco\ apoio\ 730\ x\ 315.png');
    }

    #curitiba>.img-s2 {
        background-image: url('img/Curitiba\ apoio\ 730\ x\ 315.png');
    }

    #jabotao>.img-s2 {
        background-image: url('img/Jabotao\ apoio\ 730\ x\ 315.png');
    }
}

/* --- DESKTOP PADRÃO (1024px) - O Ponto de Virada --- */
@media screen and (min-width: 1024px) {

    /* 1. Esconde o Mobile */
    #mobile-wrapper {
        display: none;
    }

    .s-nav {
        height: 200px;
    }

    /* 2. Mostra e Estiliza Nav Desktop */
    .nav-pc {
        display: flex;
        /* Torna visível */
        position: fixed;
        top: 30px;
        left: 3%;
        width: 94%;
        height: 80px;
        padding: 0 20px;

        background-color: rgba(0, 0, 0, 0.55);
        backdrop-filter: saturate(180%) blur(20px);
        border-radius: 80px;
        box-shadow: 0px 0px 10px 1px rgba(0, 0, 0, 0.226);
        z-index: 1000;

        justify-content: space-between;
        align-items: center;
        transition: all 0.4s ease-in-out;

        animation: navEntrada 1.6s cubic-bezier(0.2, 0.8, 0.2, 1) forwards;
        transform-origin: center top;
    }

    /* 3. Comportamento ao Rolar (Minimizada) */
    nav.minimizada {
        top: 10px;
        height: 70px;
        width: 88%;
        /* Zoom out horizontal */
        left: 6%;
        background-color: rgba(0, 0, 0, 0.75);
    }

    /* 4. Elementos Internos Desktop */
    nav>.txt-lo {
        width: 140px;
    }

    #img-logo {
        width: 120px;
        height: 120px;
        margin-top: 25px;
        transition: all 0.4s ease-in-out;
    }

    nav.minimizada #img-logo {
        transform: scale(0.95);
    }

    /* Links/Abas */
    nav>.abas {
        width: 75%;
        max-width: 1000px;
        display: flex;
        justify-content: space-around;
        padding: 10px;
        background-color: #ffffff0c;
        border-radius: 80px;
        margin: 0px 10px;
    }

    .s-link-nav {
        color: rgba(255, 255, 255, 0.8);
        text-decoration: none;
        padding: 7px 1px;
        font-size: 1.1rem;
        font-weight: 100;
        font-family: "Montserrat", sans-serif;
        transition: 0.2s;
    }

    .s-link-nav:hover {
        color: #5a8cf8;
        transform: translateY(-2px);
    }

    /* Botão Contato */
    #contato-btn {
        padding: 13px 30px;
        background-color: #155DFC;
        border: none;
        border-radius: 10px;
        margin-right: 10px;
        transition: 0.3s ease-in-out;
    }

    nav.minimizada #contato-btn {
        transform: scale(0.95);
    }

    #contato-btn>a {
        text-decoration: none;
        color: white;
        font-size: 1.4rem;
    }

    #contato-btn:hover {
        background-color: #134ecc;
        transform: scale(1.02);
    }

    .nav-btn {
        display: block;
        /* Volta a aparecer como definido no seu CSS original */
    }

    .prev {
        left: 1%;
    }

    .next {
        right: 1%;
    }

    .s2,
    .s3 {
        height: 620px;
    }

    .bloco-s2,
    .bloco-s3 {
        display: none;
        flex-direction: row;
        width: 86%;
        max-width: none;
        height: 560px;
        align-items: center;
        justify-content: space-around;
    }

    .img-s2,
    .img-s3 {
        width: 45%;
        border-radius: 30px;
        height: 90%;
    }

    .content-s2,
    .content-s3 {
        width: 45%;
        height: 70%;
        border-radius: 30px;
    }

    .regiao-s2,
    .regiao-s3 {
        margin-top: 10%;
        margin-bottom: 10%;
    }

        #rj>.img-s2 {
        background-image: url('img/Rio\ base\ 400\ x\ 500\ \ 1024.png');
        background-size: cover;
    }

    
    #piracicaba>.img-s2 {
        background-image: url('img/Piracicaba\ base\ 400\ x\ 500\ \ 1024.png');
        background-size: cover;
    }


    #jundiai>.img-s2 {
        background-image: url('img/Jundiai\ apoio\ 400\ x\ 500\ \ 1024.png');
        background-position: center center;
        background-size: cover;
    }

    #osasco>.img-s2 {
        background-image: url('img/Osasco\ apoio\ 400\ x\ 500\ \ 1024.png');
        background-position: top center;
        background-size: cover;
    }

    #curitiba>.img-s2 {
        background-image: url('img/Curitiba\ apoio\ 400\ x\ 500\ \ 1024.png');
        background-position: center right;
        background-size: cover;
    }

    #jabotao>.img-s2 {
        background-image: url('img/Jabotao\ apoio\ 400\ x\ 500\ \ 1024.png');
        background-size: cover;
    }


}

/* --- TELAS GRANDES (1367px) --- */
@media screen and (min-width: 1367px) {
    .nav-pc {
        width: 80%;
        left: 10%;
    }

    nav.minimizada {
        width: 72%;
        left: 14%;
    }

    #contato-btn {
        margin-right: 30px;
    }

    .s2,
    .s3 {
        height: 660px;
    }

    .bloco-s2,
    .bloco-s3 {
        width: 84%;
        max-width: 1300px;
        height: 600px;
    }

    .text-s2,
    .text-s3>p {
        font-size: 1.1rem;
        line-height: 1.9rem;
    }

    .prev {
        left: 3%;
    }

    .next {
        right: 3%;
    }

    
        #rj>.img-s2 {
        background-image: url('img/Rio\ base\ 520\ x\ 540\ 1367.png');
        background-size: cover;
    }

    
    #piracicaba>.img-s2 {
        background-image: url('img/Piracicaba\ base\ 520\ x\ 540\ 1367.png');
        background-size: cover;
    }


    #jundiai>.img-s2 {
        background-image: url('img/Jundiai\ apoio\ 400\ x\ 500\ \ 1024.png');
        background-position: center center;
        background-size: cover;
    }

    #osasco>.img-s2 {
        background-image: url('img/Osasco\ apoio20\ x\ 540\ 1367.png');
        background-position: top center;
        background-size: cover;
    }

    #curitiba>.img-s2 {
        background-image: url('img/Curitiba\ apoio20\ x\ 540\ 1367.png');
        background-position: center right;
        background-size: cover;
    }

    #jabotao>.img-s2 {
        background-image: url('img/Jabotao\ apoio20\ x\ 540\ 1367.png');
        background-size: cover;
    }





}

/* --- TELAS EXTRA GRANDES (1601px) --- */
@media screen and (min-width: 1601px) {
    .nav-pc {
        width: 75%;
        left: 12.5%;
    }

    nav.minimizada {
        width: 68%;
        left: 16%;
    }

    .s2,
    .s3 {
        height: 680px;
    }

    .bloco-s2,
    .bloco-s3 {
        width: 80%;
        max-width: 1200px;
        height: 620px;
    }

    .img-s2,
    .img-s3 {
        width: 50%;

    }

    .content-s2,
    .content-s3 {
        width: 30%;

    }


    .text-s2,
    .text-s3>p {
        font-size: 1.1rem;
        line-height: 2rem;
    }

    .prev {
        left: 10%;
    }

    .next {
        right: 10%;
    }


    .titulo-sec>h1 {
        text-align: left;
        margin-left: 15%;
        font-size: 2.8rem;
    }

    .titulo-sec {
        width: 100%;
    }

    
        #rj>.img-s2 {
        background-image: url('img/Rio\ base\ 600\ x\ 560\ 1601.png');
        background-size: cover;
    }

    
    #piracicaba>.img-s2 {
        background-image: url('img/Piracicaba\ base\ 600\ x\ 560\ 1601.png');
        background-size: cover;
    }


    #jundiai>.img-s2 {
        background-image: url('img/Jundiai\ apoio\ 600\ x\ 560\ 1601.png');
        background-position: center center;
        background-size: cover;
    }

    #osasco>.img-s2 {
        background-image: url('img/Osasco\ apoio\ 600\ x\ 560\ 1601.png');
        background-position: top center;
        background-size: cover;
    }

    #curitiba>.img-s2 {
        background-image: url('img/Curitiba\ apoio\ 600\ x\ 560\ 1601.png');
        background-position: center right;
        background-size: cover;
    }

    #jabotao>.img-s2 {
        background-image: url('img/Jabotao\ poio\ 600\ x\ 560\ 1601.pngp');
        background-size: cover;
    }


}

/* --- MONITORES WIDE (1920px) --- */
@media screen and (min-width: 1920px) {
    .nav-pc {
        width: 68%;
        left: 16%;
    }

    nav.minimizada {
        width: 58%;
        left: 21%;
    }

    #contato-btn {
        margin-left: 40px;
        margin-right: 40px;
        padding: 15px 35px;
    }

    .txt-lo {
        margin-left: 40px;
        margin-right: 40px;
    }

    .nav-pc>.abas {
        width: 100%;
    }

    .s2,
    .s3 {
        height: 800px;
    }

    .bloco-s2,
    .bloco-s3 {
        width: 80%;
        max-width: 1400px;
        height: 740px;
    }

    .titulo-sec>h1 {
        text-align: left;
        margin-left: 15%;
        font-size: 3rem;
    }

    .titulo-sec {
        width: 100%;
        padding-bottom: 60px;
    }

    .prev {
        left: 6.8%;
    }

    .next {
        right: 6.8%;
    }

    #piracicaba>.img-s2 {
        background-image: url('img/piracicaba\ base\ 700\ x\ 666.png');

    }

    #rj>.img-s2 {
        background-image: url('img/rio\ base\ 700\ x\ 666.png');
        background-position: top left;
    }

    #jundiai>.img-s2 {
        background-image: url('img/Jundiai\ apoio\ 700\ x\ 666.png');
    }

    #osasco>.img-s2 {
        background-image: url('img/Osasco\ apoio\ 700\ x\ 666.png');
    }

    #curitiba>.img-s2 {
        background-image: url('img/Curitiba\ \ apoio\ 700\ x\ 666.png');
    }

    #jabotao>.img-s2 {
        background-image: url('img/Jabotao\ apoio\ 700\ x\ 666.png');
    }

}

@keyframes navEntrada {
    0% {
        opacity: 0;
        transform: scale(1.15) translateY(-20px);
    }

    100% {
        opacity: 1;
        transform: scale(1) translateY(0);
    }
}